#### <font color = "MediumSeaGreen">Разное</font>
- Python - строго типизированный язык. 
- Оператор "is" проверяет значение и тип.
- Декоратор - это функция, которая принимает одну функцию в качестве аргумента и возвращает другую.
#### <font color = "MediumSeaGreen">Объекты</font>
- Имя - это ссылка на объект, но не сам объект.
- В случае, когда оба имени указывают на изменяемый объект, его можно изменить с помощью любого имени.
**Объект содержит:**
- тип
- id
- значение
- счетчик ссылок
#### <font color = "MediumSeaGreen">Типы данных</font>
**Неизменяемые типы данных:**
- int
- bool
- float
- string
- complex
- tuple
- bytes
- frozenset
**Изменяемые типы данных:**
- list
- dict
- set
- bytearray
#### <font color = "MediumSeaGreen">Полезные фичи</font>
* Фуyкция divmod возвращает частное и остаток
```python
>>> divmod(9, 5)
(1, 4)
```
#### <font color = "MediumSeaGreen">Строки</font>
**Наборы символов:**
```python
import string 

>>> string.whitespace
' \t\n\r\x0b\x0c'
>>> string.punctuation
'!"#$%&\'()*+,-./:;<=>?@[\\]^_`{|}~'
```
